# Note that this is NOT a relocatable package

Summary: An XML library.
Name: libxml
Version: 1.8.9
Release: 5
Epoch: 1
License: LGPL
Group: System Environment/Libraries
Source: ftp://rpmfind.net/pub/libxml/libxml-%{version}.tar.gz
URL: http://xmlsoft.org/
BuildRoot: %{_tmppath}/%{name}-root

%description
The libxml package contains an XML library, which allows you to
manipulate XML files. XML (eXtensible Markup Language) is a data
format for structured document interchange via the Web.

%package devel
Summary: Libraries, includes and other files to develop libxml applications.
Group: Development/Libraries
Requires: libxml = %{version}
Requires: zlib-devel

%description devel
The libxml-devel package contains the libraries, include and other
files you can use to develop libxml applications.

%prep
%setup -q

%build

%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}

#make prefix=${RPM_BUILD_ROOT}%{_prefix} install
%makeinstall

# XXX multilib arches need this
[ "%{_libdir}" != "%{_prefix}/lib" ] && {
    cd ${RPM_BUILD_ROOT}
    mkdir -p .%{_prefix}/lib
    mv .%{_libdir}/*.sh  .%{_prefix}/lib/
}
#
# another hack to get /usr/include/gnome-xml/libxml/
#
if [ -d $RPM_BUILD_ROOT/%{_includedir}/gnome-xml ]
then
    (cd $RPM_BUILD_ROOT/%{_includedir}/gnome-xml ; ln -sf . libxml)
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING COPYING.LIB TODO
%doc doc/html
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%docdir %{_datadir}/gnome-xml/html
%{_datadir}/gnome-xml
%{_bindir}/xml-config
%{_libdir}/lib*.so
%{_libdir}/*a
%{_prefix}/lib/*.sh
%{_includedir}/*

%changelog
* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Preston Brown <pbrown@redhat.com>
- change URL to be more correct.

* Sat Jul  8 2000 Matt Wilson <msw@redhat.com>
- 1.8.9
- remove zlib link patch, has been added upstream.

* Fri Jun 30 2000 Matt Wilson <msw@redhat.com>
- 1.8.8

* Mon Jun 26 2000 Matt Wilson <msw@redhat.com>
- rebuilt, most of the devel subpackage fell on the floor in the last build

* Wed Jun 21 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Sat May 13 2000 Jeff Johnson <jbj@redhat.com>
- use %%_prefix from configuration, not %%prefix from spec file, because
  that's what %%configure uses.
- remove install-info prereq, scriptlets use this not.
- nuke legacy libxml.so.0 diddles.

* Wed May  5 2000 Bill Nottingham <notting@redhat.com>
- %%configure for ia64

* Fri Feb 04 2000 Elliot Lee <sopwith@redhat.com>
- Link the library to @Z_LIBS@

* Mon Jan 31 2000 Jeff Johnson <jbj@redhat.com>
- update to 1.8.6.
- don't provide libxml.so.0, as it's in the Red Hat libxml10 package.

* Mon Sep 20 1999 Elliot Lee <sopwith@redhat.com>
- version 1.6.2

* Thu Aug 12 1999 Jonathan Blandford <jrb@redhat.com>
- version 1.4.0

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.0

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5 built against gnome-libs-0.99.8

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- made clean section work again

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- bumped to 0.99.0 for GNOME freeze

* Sun Oct  4 1998 Daniel Veillard <Daniel.Veillard@w3.org>
- Added xml-config to the package

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>
- Built release 0.30
